Skip to main content
GET
/
customers
/
{customer_id}
/
setups
List all setup requests
curl --request GET \
  --url https://commerce1.on-hellgate.dev/customers/{customer_id}/setups \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "IN_PROGRESS",
      "type": "CARD",
      "updated_at": "2023-11-07T05:31:56Z",
      "data": {},
      "external_id": "<string>",
      "failure_details": [
        {
          "classifier": "<string>",
          "message": "<string>"
        }
      ],
      "payment_method": {
        "token": "<string>"
      }
    }
  ],
  "pagination": {
    "current_page": 123,
    "next_page": 123,
    "page_size": 123,
    "previous_page": 123,
    "total_items": 123,
    "total_pages": 123
  }
}

Authorizations

X-API-Key
string
header
required

Path Parameters

customer_id
string
required

Customer ID

Query Parameters

page
integer

Page cursor for pagination

limit
integer

Maximum items per page

Response

Success

data
PaymentMethodSetupResponse · object[]
pagination
PaginationSchema · object